- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | Friends

# QFutureInterfaceBase Class Reference

Search for all occurrences

## Detailed Description

Definition at line 64 of file qfutureinterface.h.

`#include <qfutureinterface.h>`

Inheritance diagram for QFutureInterfaceBase:
[legend]

List of all members.

## Public Types
enum | State { NoState = 0x00, Running = 0x01, Started = 0x02, Finished = 0x04, Canceled = 0x08, Paused = 0x10, Throttled = 0x20 }
## Public Member Functions
| QFutureInterfaceBase (State initialState=NoState)
| QFutureInterfaceBase (const QFutureInterfaceBase &other)
virtual | ~QFutureInterfaceBase ()
void | reportStarted ()
void | reportFinished ()
void | reportCanceled ()
void | reportException (const QtConcurrent::Exception &e)
void | reportResultsReady (int beginIndex, int endIndex)
void | setRunnable (QRunnable *runnable)
void | setFilterMode (bool enable)
void | setProgressRange (int minimum, int maximum)
int | progressMinimum () const
int | progressMaximum () const
bool | isProgressUpdateNeeded () const
void | setProgressValue (int progressValue)
int | progressValue () const
void | setProgressValueAndText (int progressValue, const QString &progressText)
QString | progressText () const
void | setExpectedResultCount (int resultCount)
int | expectedResultCount ()
int | resultCount () const
bool | queryState (State state) const
bool | isRunning () const
bool | isStarted () const
bool | isCanceled () const
bool | isFinished () const
bool | isPaused () const
bool | isThrottled () const
bool | isResultReadyAt (int index) const
void | cancel ()
void | setPaused (bool paused)
void | togglePaused ()
void | setThrottled (bool enable)
void | waitForFinished ()
bool | waitForNextResult ()
void | waitForResult (int resultIndex)
void | waitForResume ()
QMutex * | mutex () const
QtConcurrent::internal::ExceptionStore & | exceptionStore ()
QtConcurrent::ResultStoreBase & | resultStoreBase ()
const QtConcurrent::ResultStoreBase & | resultStoreBase () const
bool | operator== (const QFutureInterfaceBase &other) const
bool | operator!= (const QFutureInterfaceBase &other) const
QFutureInterfaceBase & | operator= (const QFutureInterfaceBase &other)
## Protected Member Functions
bool | referenceCountIsOne () const
## Friends
class | QFutureWatcherBase
class | QFutureWatcherBasePrivate

## Member Enumeration Documentation

enum State

Search for all occurrences

Enumerator:

  NoState | Search for all occurrences
  Running | Search for all occurrences
  Started | Search for all occurrences
  Finished | Search for all occurrences
  Canceled | Search for all occurrences
  Paused | Search for all occurrences
  Throttled | Search for all occurrences

Definition at line 67 of file qfutureinterface.h.

                   {
            NoState   = 0x00,
            Running   = 0x01,
            Started   = 0x02,
            Finished  = 0x04,
            Canceled  = 0x08,
            Paused    = 0x10,
            Throttled = 0x20
        };

## Constructor & Destructor Documentation

QFutureInterfaceBase | ( | State | initialState = `NoState` | ) |

QFutureInterfaceBase | ( | const QFutureInterfaceBase & | other | ) |

virtual ~QFutureInterfaceBase | ( |  | ) | `[virtual]`

## Member Function Documentation

void reportStarted | ( |  | ) |

Search for all occurrences

void reportFinished | ( |  | ) |

Search for all occurrences

void reportCanceled | ( |  | ) |

Search for all occurrences

void reportException | ( | const QtConcurrent::Exception & | e | ) |

Search for all occurrences

void reportResultsReady | ( | int | beginIndex,
|  | int | endIndex
| ) |  |

Search for all occurrences

void setRunnable | ( | QRunnable * | runnable | ) |

Search for all occurrences

void setFilterMode | ( | bool | enable | ) |

Search for all occurrences

void setProgressRange | ( | int | minimum,
|  | int | maximum
| ) |  |

Search for all occurrences

int progressMinimum | ( |  | ) | const

Search for all occurrences

int progressMaximum | ( |  | ) | const

Search for all occurrences

bool isProgressUpdateNeeded | ( |  | ) | const

Search for all occurrences

void setProgressValue | ( | int | progressValue | ) |

Search for all occurrences

int progressValue | ( |  | ) | const

Search for all occurrences

void setProgressValueAndText | ( | int | progressValue,
|  | const QString & | progressText
| ) |  |

Search for all occurrences

QString progressText | ( |  | ) | const

Search for all occurrences

void setExpectedResultCount | ( | int | resultCount | ) |

Search for all occurrences

int expectedResultCount | ( |  | ) |

Search for all occurrences

int resultCount | ( |  | ) | const

Search for all occurrences

bool queryState | ( | State | state | ) | const

Search for all occurrences

bool isRunning | ( |  | ) | const

Search for all occurrences

bool isStarted | ( |  | ) | const

Search for all occurrences

bool isCanceled | ( |  | ) | const

Search for all occurrences

bool isFinished | ( |  | ) | const

Search for all occurrences

bool isPaused | ( |  | ) | const

Search for all occurrences

bool isThrottled | ( |  | ) | const

Search for all occurrences

bool isResultReadyAt | ( | int | index | ) | const

Search for all occurrences

void cancel | ( |  | ) |

Search for all occurrences

void setPaused | ( | bool | paused | ) |

Search for all occurrences

void togglePaused | ( |  | ) |

Search for all occurrences

void setThrottled | ( | bool | enable | ) |

Search for all occurrences

void waitForFinished | ( |  | ) |

Search for all occurrences

bool waitForNextResult | ( |  | ) |

Search for all occurrences

void waitForResult | ( | int | resultIndex | ) |

Search for all occurrences

void waitForResume | ( |  | ) |

Search for all occurrences

QMutex* mutex | ( |  | ) | const

Search for all occurrences

QtConcurrent::internal::ExceptionStore& exceptionStore | ( |  | ) |

Search for all occurrences

QtConcurrent::ResultStoreBase& resultStoreBase | ( |  | ) |

Search for all occurrences

const QtConcurrent::ResultStoreBase& resultStoreBase | ( |  | ) | const

Search for all occurrences

bool operator== | ( | const QFutureInterfaceBase & | other | ) | const `[inline]`

Definition at line 129 of file qfutureinterface.h.

    { return d == other.d; }

bool operator!= | ( | const QFutureInterfaceBase & | other | ) | const `[inline]`

Definition at line 130 of file qfutureinterface.h.

    { return d != other.d; }

QFutureInterfaceBase& operator= | ( | const QFutureInterfaceBase & | other | ) |

bool referenceCountIsOne | ( |  | ) | const `[protected]`

Search for all occurrences

## Friends And Related Function Documentation

friend class QFutureWatcherBase `[friend]`

Search for all occurrences

Definition at line 143 of file qfutureinterface.h.

friend class QFutureWatcherBasePrivate `[friend]`

Search for all occurrences

Definition at line 144 of file qfutureinterface.h.

The documentation for this class was generated from the following file:

- QtCore/qfutureinterface.h

QFutureInterfaceBase QFutureInterfaceBase QFutureInterfaceBase QFutureInterfaceBase QFutureInterfaceBase QFutureInterfaceBase QFutureInterfaceBase QFutureInterfaceBase QFutureInterfaceBase QFutureInterfaceBase
QFutureInterfaceBase QFutureInterfaceBase QFutureInterfaceBase QFutureInterfaceBase QFutureInterfaceBase QFutureInterfaceBase QFutureInterfaceBase QFutureInterfaceBase QFutureInterfaceBase QFutureInterfaceBase